Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 126880 - Partner view: DnD from navigator causes Partner view window to "jump"
Partner view: DnD from navigator causes Partner view window to "jump"
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: WSDL Tools
6.x
Sun All
: P3 (vote)
: 6.x
Assigned To: Shivanand Kini
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 03:59 UTC by jlautz
Modified: 2008-04-08 16:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jlautz 2008-02-07 03:59:36 UTC
Seen with JavaCAPS M6 installer build on Windows XP and Solaris x86 with NB 6.1:
Product Version: NetBeans IDE Dev (Build 200802041203)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: SunOS version 5.10 running on x86; ISO646-US; en (nb)
Userdir: /Users/lautz/.netbeans/dev

1. Open a valid WSDL document that defines port types, messages, an inline schema with types, etc. in the Partner view.
2. Scroll around in the WSDL editor so that the item that you want to DnD into is visible, particularly if the item is
not toward the top of the view.
3. DnD an element (port type to a role, message to an operation message, type to a message part) into the Partner view,
and try to drop the element into the position you had made visible in step 2.

=> On both Solaris x86 and Windows XP, when the mouse cursor crosses the border from Navigator pane to WSDL editor pane,
the Partner view visible jumps, usually toward the top of the view.
Comment 1 jlautz 2008-02-07 04:01:02 UTC
Found while verifying/testing issue 121639.
Comment 2 jlautz 2008-02-07 04:10:09 UTC
Additional info: same unexpected upward scrolling thing seems to happen dragging a component from the Palette into the
WSDL Partner view.
Comment 3 Shivanand Kini 2008-02-22 01:21:36 UTC
Fixed.
Changelog:
http://hg.netbeans.org/main/rev/eddabeaf801f
Comment 4 jlautz 2008-04-08 16:59:21 UTC
Verified fixed with 
Product Version: NetBeans IDE Dev (Build 200804040802) - Java CAPS Enabled
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: SunOS version 5.10 running on x86; ISO646-US; en (nb)
Userdir: /Users/lautz/sierrabuilds/JavaCAPS20080406/.netbeans/caps


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo